Quickmail

Blocks ::: block_quickmail
Maintained by Buddy Ethridge, Robert Russo
A block that provides selective, bulk emailing within courses. Developed by LSU.
Latest release:
3442 sites
927 downloads
98 fans
Current versions available: 6

Quickmail is a block that provides selective, bulk emailing within courses.

Features

  • Multiple attachments
  • Drafts
  • Signatures
  • Filter by Role
  • Filter by Groups
  • Optionally allow Students to email people within their group.

License

Quickmail adopts the same license that Moodle does.

Authors

Quickmail was developed at Louisiana State University.

Potential privacy issues

The Privacy API is not implemented in this plugin.

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3

Contributors

Buddy Ethridge (Lead maintainer)
Robert Russo: Lead Maintainer
Philip Cali: Former Lead Developer
jason peak: Former maintainer
David Elliott: Former maintainer
It's me!
Chad Mazilly: Former Maintainer
Please login to view contributors details and/or to contact them

Comments RSS

Comments

  • Tue, Feb 11, 2020, 12:51 PM
    I got an error "There are no users you are capable of emailing." on Moodle 3.8.1, is there any updated version of Quickmail? Thanks.
  • Daniel
    Tue, Feb 11, 2020, 6:41 PM
    Have you checked the configuration settings of the plugin?
  • Tue, Feb 18, 2020, 8:15 AM
    The error "There are no users you are capable of emailing." of Quickmail V1 on Moodle 3.8.1

    Can modify /blocks/quickmail/js/selection.js line 53

    return $("#mform1").submit(function() {

    => return $(".mform").submit(function() {
  • Mon, Mar 16, 2020, 2:29 PM
    Hi,

    I notice that the github repository has been archived. Is this plugin still maintained ?
    If not maybe you should contact david@moodle.org to put it in the adoption program : https://moodle.org/mod/forum/discuss.php?d=260354
  • Thu, Mar 19, 2020, 10:16 PM
    I found some new fork
    //github.com/CLAMP-IT/clampmail
  • Fri, Mar 20, 2020, 3:54 AM
    The CLAMP version was forked a while back before the LSU Quickmail had created new features like being able to send course and user data using data injection in the body of the message. It would likely be best to look to see if another party could pickup the LSU version: //github.com/lsuits/lsu-block_quickmail
  • Daniel
    Fri, Mar 20, 2020, 4:34 PM
    Hi,
    I translated the new plugin (Git) into French.
    I transfer the local_fr file to who?
    Daniel
  • Sat, Mar 21, 2020, 12:53 AM
    Somebody knows something about compatible version for moodle 3.8?
  • Daniel
    Sat, Mar 21, 2020, 6:10 PM
    Hi Joaquin,
    clampmail-master.zip on Github
    Or lsu-block_quickmail-LSU_37_GRADEBOOK.zip
  • John Provasnik at Moodle Moot US
    Tue, Mar 24, 2020, 4:03 AM
    I'm using Moodle 3.7 -- When I send a QuickMail message from the Front Page, I see a textbox next to categories and I'm not sure what it's for. Would appreciate some insight. Image here: https://moodle.org/mod/forum/discuss.php?d=398335
  • Fri, Apr 24, 2020, 3:11 AM
    Hi there, I`m using lsuits/lsu-block_quickmail from github, which works great with moodle 3.8. Unfortunatly the git was archieved so I try my question here. Do you know how I can add customized "Supported user data fields" like [:password:] or so? Thanks
  • Mon, Jul 20, 2020, 10:42 PM
    The following was suggested be Chien Wen-chang on Mon, Feb 17, 2020, 7:15 PM

    I was to verify that is does fix Quickmail in Moodle version 3.8.4+

    The error "There are no users you are capable of emailing." in Quickmail

    Simply Modify /blocks/quickmail/js/selection.js at line 53

    Change: return $("#mform1").submit(function() {

    To: return $(".mform").submit(function() {

    After you are done simply save and clear the server cache...then it works!

    Brian
  • Tue, Jul 21, 2020, 6:22 PM
    Hi, I am unable to identify the section in which i can actually compose and send emails as an admin or a teacher. The plugin has been successfully installed and we are on version 3.9 but there is no space i see to actually send the email. Requesting assistance on the same
  • Thu, Aug 20, 2020, 12:29 AM

    Hello

    I'm using Moodle 3.9.1+, I installed version v1.7.6 (2017122001) and it seemed to be working normally.

    But when a Tutor went to send messages to his students he was unable, he presented the following error: "There are no users to whom you can send emails."

    Would you by any chance have plans to continue updating this plugin?
  • Thu, Aug 20, 2020, 12:35 AM
    There is new version that is not on the Moodle.org site. You can download it from the Github site below. I have the V2.x and it works fine with 3.9.x. Below is the Github URL.

    https://github.com/lsuits/lsu-block_quickmail
Please login to post comments